Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510005 - Request for a fresher version of MediaWiki in EPEL
Summary: Request for a fresher version of MediaWiki in EPEL
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mediawiki123
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 14:33 UTC by John Florian
Modified: 2018-03-30 12:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 02:12:05 UTC


Attachments (Terms of Use)

Description John Florian 2017-11-06 14:33:28 UTC
Description of problem:

From what I can see the most recent offering in EPEL is mediawiki123 (1.23.13), yet upstream offers 1.29.  Meanwhile Fedora 26 has 1.28.

FWIW, I have an old Fedora 23 server where I deployed mediawiki-1.26.  I'd like to transition this to CentOS but that would require downgrading the schema -- something I understand to be unsupported.  I realize I could just d/l from upstream directly but then I don't have any automatic way of knowing when updates are needed.  (Not that would be any worse than where I am now.)  If I just upgrade to a newer Fedora then that seemingly makes my transition even more unattainable.

I'm just curious if a newer version could be offered or what the game plan is going forward.

Comment 1 Michael Cronenworth 2018-01-09 17:18:50 UTC
The "mediawiki" package is not offered by EPEL. It was split off long ago to the versioned names you saw.

I would send a request to Peter to create newer packages for EPEL.

Comment 2 Michael Cronenworth 2018-01-09 17:19:20 UTC
s/Peter/Patrick, Sorry, Patrick.

Comment 3 John Florian 2018-01-10 15:45:09 UTC
Michael, I don't recall now since it's been awhile but I think I selected "mediawiki" thinking that "mediawiki123" would always need remain at 1.23, though I now see the confusion that might have caused.  Regardless of the package naming, it would be great if EL could get a version that's not EoL.

Also, are you suggesting I somehow reach out to Patrick beyond this?

Comment 4 Michael Cronenworth 2018-01-10 21:41:27 UTC
No problem with the package selection.

You may try to reach Patrick directly if he filters his bug mail.

Comment 5 Andre Klapper 2018-03-29 09:45:37 UTC
Note that 1.30/1.29 are 'normal' releases while 1.27 is the current Long Term Support version: https://www.mediawiki.org/wiki/Version_lifecycle

Comment 6 Patrick Uiterwijk 2018-03-30 02:12:05 UTC
One main problem with Mediawiki in EPEL is that EPEL has a strong "no major upgrades" policy, which is not really working with Mediawiki (due to their fast release cadence).

This is the reason we had versioned mediawiki releases for EPEL (I have maintained mediawiki119, and then mediawiki123 for a while), but the primary reason I maintained these packages was because we used them for Fedora Infrastructure.

These were always the Long Term Support releases, because to package the shorter term releases is just infeasible.

However, Fedora Infra has switched to using Fedora to host our wiki, because in our experience, it's better to go with the gradual upgrades you get with following upstream releases as they come out than the jumpy upgrades you get when you go from one LTS to another.

As a consequence, I am afraid I will not be packaging any newer versioned (and thus EPEL) mediawiki releases.

If you are interested in packaging the newer LTS branches yourself, please feel free to do so, and I'd be willing to give advice, I'm just afraid I do not have the time to do this myself.


(Sorry for the slow reaction, I normally depend on FMN notifications for bugzilla, but that didn't work for some reason it seems).

Comment 7 John Florian 2018-03-30 12:57:36 UTC
Patrick,

Thanks for the detailed message regarding the rationale and issues.  Better late than never.  A while back I bit the bullet and just upgraded my MW to Fedora 27.  I was hoping for a little less churn but you make a solid point that often many little bumps are better than one seldom albeit large bump.  I had considered packaging the LTS branches myself, but my goal was to reduce my effort not increase it.  I always want to do more for Fedora but this didn't seem like a good fit -- Python is my thing, PHP ... well, I can spell it.

Thanks again though!


Note You need to log in before you can comment on or make changes to this bug.